Skip to main content
GET
/
v1
/
jobs
/
{id}
Get job status
curl --request GET \
  --url https://api.mediapi.dev/v1/jobs/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "job_abc123",
  "status": "pending",
  "input_url": "<string>",
  "operations": [
    {
      "type": "image_resize",
      "params": {
        "width": 800,
        "height": 600
      }
    }
  ],
  "outputs": [
    {}
  ],
  "error": "<string>",
  "progress": {},
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Response

Job details

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
input_url
string
operations
object[]
outputs
object[] | null
error
string | null
progress
object
created_at
string<date-time>
completed_at
string<date-time> | null